> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-returns-email-query-param.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update a webhook.



## OpenAPI

````yaml /api-schema/openapi.yaml put /webhooks/{webhookId}
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /webhooks/{webhookId}:
    summary: Webhook
    description: Webhook.
    put:
      tags:
        - Webhooks
      summary: Update Webhook
      description: Update a webhook.
      operationId: Webhook update
      parameters:
        - $ref: '#/components/parameters/webhook-id.param'
      requestBody:
        content:
          application/json:
            schema:
              properties:
                webhook:
                  $ref: '#/components/schemas/webhook-update.schema'
              required:
                - webhook
              type: object
        required: true
      responses:
        '204':
          description: Success
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
components:
  parameters:
    webhook-id.param:
      description: Webhook ID
      in: path
      name: webhookId
      required: true
      schema:
        example: 64e5a865a58eefeed7f05ea6
        type: string
  schemas:
    webhook-update.schema:
      description: Webhook update.
      properties:
        callback:
          $ref: '#/components/schemas/https-callback.schema'
          description: HTTPS callback to POST events.
          title: HTTPS callback
        externalId:
          default: null
          description: Optional external identifier.
          title: External ID
          type:
            - string
            - 'null'
      required:
        - callback
      title: Webhook update
      type: object
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
    https-callback.schema:
      description: HTTPS callback
      properties:
        auth:
          description: Authorization.
          oneOf:
            - properties:
                bearer:
                  description: Bearer
                  properties:
                    token:
                      description: Token for Bearer authorization.
                      example: abc123
                      format: password
                      title: Token
                      type: string
                  title: Bearer
              title: Bearer authorization
              type: object
            - type: 'null'
          title: Authorization
        url:
          description: HTTPS callback URL.
          example: https://subscriber.example.org/events
          format: uri
          pattern: ^https://
          title: URL
          type: string
      required:
        - auth
        - url
      title: HTTPS callback
      type: object

````